%define reponame passwordfile
%define soname 5

Name:           %{reponame}
Version:        5.0.4
Release:        1%{?dist} 
Summary:        C++ library to read/write passwords from/to encrypted files
License:        GPL-2.0-or-later
URL:            https://github.com/Martchus/%{reponame}
Source:         https://github.com/Martchus/%{reponame}/archive/v%{version}/%{reponame}-%{version}.tar.gz
BuildRequires:  cmake >= 3.9
%if 0%{?fedora}
%else
BuildRequires:  ninja
%endif
BuildRequires:  cppunit-devel >= 1.14.0
BuildRequires:  c++utilities-devel
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel

%description
A C++ library to read and write passwords from/to encrypted files

%package -n lib%{reponame}%{soname}
Summary:        C++ library to read/write passwords from/to encrypted files
Group:          System/Libraries

%description -n lib%{reponame}%{soname}
A C++ library to read and write passwords from/to encrypted files

%package devel
Summary:        Devel files for %{reponame}
Group:          Development/Libraries/C and C++
Requires:       c++utilities-devel
Requires:       glibc-devel
Requires:       lib%{reponame}%{soname} = %{version}
Requires:       zlib-devel

%description devel
Development files for %{reponame}

%prep
%setup -q -n %{reponame}-%{version}

%build
%define __builder ninja
%cmake \
  -DBUILD_SHARED_LIBS:BOOL=ON
%cmake_build

%check
export LD_LIBRARY_PATH="$PWD/%{__cmake_builddir}:$LD_LIBRARY_PATH"
%cmake_build --target check

%install
%cmake_install


%files -n lib%{reponame}%{soname}
%license LICENSE
%{_libdir}/lib%{reponame}.so.%{soname}*

%files devel
%doc README.md
%{_includedir}/%{reponame}
%{_datadir}/%{reponame}
%{_libdir}/pkgconfig/%{reponame}.pc
%{_libdir}/lib%{reponame}.so

%changelog
* Wed Mar 18 2020 Marius Kittler <marius.kittler@suse.com>
- Update to 5.0.4
